Package org.apache.uima.resource.impl

# Class ConfigurationManager_impl

java.lang.Object
org.apache.uima.resource.impl.ConfigurationManagerImplBase
org.apache.uima.resource.impl.ConfigurationManager_impl

All Implemented Interfaces:
  `ConfigurationManager`

public class ConfigurationManager_impl extends ConfigurationManagerImplBase
Basic standalone Configuration Manager implmentation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `LOG_RESOURCE_BUNDLE`
  resource bundle for log messages

  ### Fields inherited from class org.apache.uima.resource.impl.ConfigurationManagerImplBase

  `GROUP_SEPARATOR, mLinkMap, SESSION_CONFIGURATION_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationManager_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `declareParameters(String aGroupName, ConfigurationParameter[] aParams, ConfigurationParameterSettings aSettings, String aContextName, Settings aExternalOverrides)`
  Called during creation of a new context.
  `protected Object`
  `lookupSharedParamNoLinks(String aCompleteName)`
  Looks up the value of a shared parameter, but does NOT follow links.

  ### Methods inherited from class org.apache.uima.resource.impl.ConfigurationManagerImplBase

  `createContext, getConfigParameterDeclarations, getConfigParameterValue, getConfigParameterValue, getCurrentConfigParameterSettings, getLink, getParameterExpectedValueClass, getSession, lookup, makeQualifiedName, reconfigure, setConfigParameterValue, setConfigParameterValue, setSession`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG_RESOURCE_BUNDLE

    protected static final String LOG_RESOURCE_BUNDLE
    resource bundle for log messages
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationManager_impl

    public ConfigurationManager_impl()

- ## Method Details

  - ### declareParameters

    protected void declareParameters(String aGroupName, ConfigurationParameter[] aParams, ConfigurationParameterSettings aSettings, String aContextName, Settings aExternalOverrides) throws ResourceConfigurationException
    Description copied from class: `ConfigurationManagerImplBase`
    Called during creation of a new context. Declares parameters, optionally in a group. Concrete subclasses will likely want to override this to set up any necessary data structures.
    Overrides:
      `declareParameters` in class `ConfigurationManagerImplBase`
    Parameters:
      `aGroupName` - name of parameter group, null if none
      `aParams` - parameter declarations
      `aSettings` - settings for parameters
      `aContextName` - name of context containing this parameter
      `aExternalOverrides` - settings for parameters with external overrides
    Throws:
      `ResourceConfigurationException` - passthru

  - ### lookupSharedParamNoLinks

    protected Object lookupSharedParamNoLinks(String aCompleteName)
    Description copied from class: `ConfigurationManagerImplBase`
    Looks up the value of a shared parameter, but does NOT follow links. Concrete subclasses must implement this to do the actual retrieval of configuration parameter values.
    Specified by:
      `lookupSharedParamNoLinks` in class `ConfigurationManagerImplBase`
    Parameters:
      `aCompleteName` - complete name, of the form context/parameter$group
    Returns:
      value of parameter, or null if no value assigned